# pandas.TimedeltaIndex.memory_usage

`TimedeltaIndex.``memory_usage`(deep=False)

  Memory usage of my values

  Parameters:

  deep : bool

  > Introspect the data deeply, interrogate object dtypes for system-level memory consumption

  Returns: | bytes used

  See also

  `numpy.ndarray.nbytes`

  Notes

  Memory usage does not include memory consumed by elements that are not components of the array if deep=False